Subject: Re: linux-next: manual merge of the bitmap tree with the tty tree

From: Greg KH <[email-masked]>
Date: Wed, 17 Jan 2024 09:14:57 +0100

On Thu, Jan 11, 2024 at 06:39:49AM -0800, Yury Norov wrote:
> On Mon, Jan 8, 2024 at 8:52 AM Hugo Villeneuve <[email-masked]> wrote:
> >
> > On Mon, 8 Jan 2024 08:53:40 +0100
> > Greg KH <[email-masked]> wrote:
> >
> > > On Mon, Jan 08, 2024 at 02:36:27PM +1100, Stephen Rothwell wrote:
> > > > Hi all,
> > > >
> > > > Today's linux-next merge of the bitmap tree got a conflict in:
> > > >
> > > >   drivers/tty/serial/sc16is7xx.c
> > > >
> > > > between commits:
> > > >
> > > >   8a1060ce9749 ("serial: sc16is7xx: fix invalid sc16is7xx_lines bitfield in case of probe error")
> > > >   3837a0379533 ("serial: sc16is7xx: improve regmap debugfs by using one regmap per port")
> > > >
> > > > from the tty tree and commit:
> > > >
> > > >   e63a961be48f ("serial: sc12is7xx: optimize sc16is7xx_alloc_line()")
> > > >
> > > > from the bitmap tree.
> > > >
> > > > I fixed it up (the former removed the function updated by the latter) and
> > > > can carry the fix as necessary. This is now fixed as far as linux-next
> > > > is concerned, but any non trivial conflicts should be mentioned to your
> > > > upstream maintainer when your tree is submitted for merging.  You may
> > > > also want to consider cooperating with the maintainer of the conflicting
> > > > tree to minimise any particularly complex conflicts.
> > >
> > > Fix looks coks correct, thanks.
> >
> > Yes, I confirm patch:
> >     e63a961be48f ("serial: sc12is7xx: optimize sc16is7xx_alloc_line()")
> >
> > is now obsoleted by patch:
> >     8a1060ce9749 ("serial: sc16is7xx: fix invalid sc16is7xx_lines
> > bitfield in case of probe error")
> 
> Hi guys,
> 
> I've already sent a pull request that includes the e63a961be48f. If I'll have to
> re-send it, I'll exclude the obsolete patch. Otherwise, can you adjust the
> 8a1060ce9749?

We can not "adjust" anything, as I can't rebase a public tree, sorry.

greg k-h